package jalview.io;

import jalview.datamodel.*;
import java.util.*;

public class FormatAdapter {

  public static String get(String format,Vector seqs) {

    SequenceI [] s = new SequenceI[seqs.size()];

    for (int i=0;i<seqs.size(); i++)
      s[i] = (SequenceI)seqs.elementAt(i);


    if (FormatProperties.contains(format))
    {
      AlignFile afile = FormatFactory.get(format);
      afile.setSeqs(s);
      return afile.print();
    }
    else
       return null;
  }

  public static SequenceI[] read(String format,String inStr) {
    if (FormatProperties.contains(format)) {
      AlignFile afile = FormatFactory.get(format,inStr);
      return afile.getSeqsAsArray();
    } else {
    // Should throw exception
      return null;
    }
  }


  public static SequenceI[] read(String inFile, String type, String format) {
      try {
        AlignFile afile = FormatFactory.get(format,inFile,type);
        return afile.getSeqsAsArray();
      } catch (Exception e) {    }

    return null;
  }

}
